import 'package:flutter/material.dart';
import 'package:urn/urn.dart';

void main() async {
  bucketRegister('name1', 'https://www.abc.com/some/long/.../x');

  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Example',
      home: Center(
        child: Text(
          bucketResolve(
              'name1://y/z.png'), // https://www.abc.com/some/long/.../x/y/z.png
        ),
      ),
    );
  }
}
